Subject: bug#58464: 28.1; browse-url-emacs doesn't work for local files on Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Oct 2022 16:14:46 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Pascal Quesseveur <[email-masked]>,  [email-masked]
> Date: Wed, 12 Oct 2022 13:10:24 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > With Emacs 29, I get a different message:
> >
> >   Use M-x make-directory RET RET to create the directory and its parents
> >
> > That's because the file's name and its default-directory are
> > incorrect:
> >
> >   M-: buffer-file-name RET
> >    => X:/C:/Windows/win.ini
> >   M-: default-directory RET
> >    => X:/C:/Windows/
> >
> > (where X is the driver letter of what happens to be the current drive
> > when I invoke Emacs).
> 
> Was this with the first or the second URL?

The second.  I sent the results with the first one a few minutes ago.